# Get business case Depending on the accept header, this operation either returns a JSON business case object or the PDF document (PDF/A-3b. The returned JSON object contains one of the business case subtypes: Bill, InstalmentBill, Reminder, CreditNote, Advice or DonationInquiry. Endpoint: GET /api/v1/business-cases/{businessCaseId} Version: 1.1 Security: X-API-Key ## Path parameters: - `businessCaseId` (integer, required) business case ID Example: "12345" ## Response 200 fields (application/json): - `id` (integer, required) A unique SIX ID for this business case. Property must not be given when creating a new business case. Example: "BCID0FB909852BBC4D06AD8336AAE87D7FC9" - `type` (string, required) the type of the business case Enum: "Bill", "InstalmentBill", "Advice", "CreditNote", "Reminder", "DonationInquiry" - `billerSixId` (string, required) Biller SIX ID Example: "BIID0000123456" - `referenceNumber` (string) A business case reference given by the biller. Must be unique in combination with the billerId. Example: "2018-123456-22" - `referencedBill` (object) The business case can only reference bills or instalment bills. - `referencedBill.businessCaseSixId` (string) Business Case SIX ID Example: "BCID0FB909852BBC4D06AD8336AAE87D7FC9" - `referencedBill.referenceNumber` (string, required) The reference number of the referenced bill. Example: "2018-123456-22" - `businessCaseDate` (string, required) The business case date (ISO-8601 format), can not be more than 90 days in the past on the date it was created. Cannot be in the future. Example: "Fri Dec 22 01:00:00 CET 2017" - `status` (string) the status of the business case Enum: "OPEN", "APPROVED", "REJECTED", "COMPLETED" - `processingStatus` (string) the processing status of the business case Enum: "STAGED", "INVALID", "PROCESSING", "FAILED", "DELIVERED" - `totalAmount` (object, required) An amount whose value may be omitted. - `totalAmount.value` (number) The amount value. Take care when using JavaScript libraries to parse this value - it should be treated as a financial amount and therefore not as a floating point number but rather using a precise decimal representation (like BigDecimal in Java). Maximum value: 99'999'999.99 Maximal length: 10 Example: 99.99 - `totalAmount.currencyCode` (string, required) The amount currency code according to ISO-4217. Example: "CHF" ## Response 400 fields (application/pdf): - `status` (integer) The HTTP status code generated by the origin server for this occurrence of the problem. Example: 400 - `message` (string) A human readable explanation specific to this occurrence of the problem. Example: "The submitted request contains invalid or missing data which can not be processed." - `fieldErrors` (array) - `fieldErrors.fieldName` (string) the name of the field with the error Example: "localizedData.ger.address.city" - `fieldErrors.message` (string) the message describing the error Example: "size must be between 1 and 35" - `fieldErrors.rejectedValue` (string) the provided value which was rejected if available Example: "Very Long Invalid City Name Which Is Rejected" ## Response 401 fields ## Response 403 fields